#!/bin/bash
######################
## CURIE   TGCC/CEA ##
######################
#MSUB -r XIOS
#MSUB -o client_output.out    # standard output
#MSUB -e client_error.err    #error output
#MSUB -eo
#MSUB -c 2 
#MSUB -n 8  # Number of MPI tasks (SPMD case) or cores (MPMD case)
#MSUB -X 
#MSUB -x 
#MSUB -T 1800      # Wall clock limit (seconds)
#MSUB -q skylake           # thin nodes
#MSUB -A devcmip6
#MSUB -Q test
#MSUB -m work

cd $BRIDGE_MSUB_PWD

module unload netcdf-c netcdf-fortran hdf5 flavor perl hdf5 boost blitz mpi gnu
module load gnu
module load flavor/openmpi/thread-multiple
module load mpi/openmpi/2.0.4
module load flavor/hdf5/parallel
module load netcdf-fortran/4.4.4
module load netcdf-c/4.6.0
module load hdf5/1.8.20
module load boost
module load blitz
module load feature/bridge/heterogenous_mpmd

export KMP_STACKSIZE=3g
export KMP_LIBRARY=turnaround
export MKL_SERIAL=YES
export OMP_NUM_THREADS=${BRIDGE_MSUB_NCORE}

set -x 

#export GMON_OUT_PREFIX='gmon.out'

#export TAU_MAKEFILE=$TAU_MAKEFILEDIR/Makefile.tau-icpc-papi-mpi-pdt-openmp-opari-scorep
#ccc_mprun -E '--enable_perf' amplxe-cl -collect hotspots -r ${PWD}/1omp_vtune/vtune_results ../../bin/test_send.exe
#export LD_LIBRARY_PATH="/ccc/products/netcdf-c-4.6.0/intel--17.0.4.196__openmpi--1.8.8/hdf5__parallel/lib/"


export build_dir=build_ep_openmpi_prod
ccc_mprun ../$build_dir/bin/test_omp.exe 4

#ccc_mprun tau_exec -io ../../bin/test_send.exe
#module load arm-forge

#ddt -start -n 8 ../$build_dir/bin/test_omp.exe 4
